# $Revision: 1.23 $, $Date: 2006/07/25 20:35:18 $
#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Astro
%define		pnam	FITS-CFITSIO
Summary:	Astro::FITS::CFITSIO - Perl extension for using the cfitsio library
Summary(pl):	Astro::FITS::CFITSIO - rozszerzenie Perla do korzystania z biblioteki cfitsio
Name:		perl-Astro-FITS-CFITSIO
Version:	1.05
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6b9e0b765f332b124ccd918ac1763cef
URL:		http://search.cpan.org/dist/Astro-FITS-CFITSIO/
BuildRequires:	cfitsio-devel >= 2.500
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	cfitsio >= 2.500
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Astro::FITS::CFITSIO is a Perl interface to William Pence's cfitsio
subroutine library.

This module attempts to provide a wrapper for nearly every cfitsio
routine, while retaining as much cfitsio behavior as possible. As
such, one should be aware that it is still somewhat low-level, in the
sense that handing an array which is not the correct size to a routine
like fits_write_img() may cause SIGSEGVs.

The goal is to eventually use these routines to build a more Perl-like
interface to many common tasks such as reading and writing of images
and ASCII and binary tables.

%description -l pl
Astro::FITS::CFITSIO jest perlowym interfejsem do biblioteki cfitsio
Williama Pence'a.

Ten modu jest prb dostarczenia obudowania dla prawie wszystkich
funkcji cfitsio przy zachowaniu moliwie najbliszym cfitsio. Przez to
trzeba mie na uwadze, e dostp jest nieco niskopoziomowy, w tym
sensie, e przekazanie tablicy o zym rozmiarze do funkcji typu
fits_write_img() moe powodowa SIGSEGV.

Celem autora jest ewentualne wykorzystanie tych funkcji to stworzenia
bardziej perlowego interfejsu do wielu oglnych zada, takich jak
odczyt i zapis obrazw oraz tablic binarnych i ASCII.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
export CFITSIO=/usr
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE NOTES README TODO announce

%{perl_vendorarch}/Astro/FITS
%dir %{perl_vendorarch}/auto/Astro/FITS
%dir %{perl_vendorarch}/auto/Astro/FITS/CFITSIO
%{perl_vendorarch}/auto/Astro/FITS/CFITSIO/CFITSIO.bs
%{perl_vendorarch}/auto/Astro/FITS/CFITSIO/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Astro/FITS/CFITSIO/CFITSIO.so
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%{_examplesdir}/%{name}-%{version}/INDEX
%{_examplesdir}/%{name}-%{version}/*.fits.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Astro-FITS-CFITSIO.spec,v $
Revision 1.23  2006/07/25 20:35:18  glen
- correct env var

Revision 1.22  2006/07/25 20:16:21  glen
- 1.05, generic URL

Revision 1.21  2004/12/01 21:00:06  qboosh
- this version needs cfitsio 2.500 to build correctly and work

Revision 1.20  2004/12/01 12:50:32  radek
- version 1.03

Revision 1.19  2004/11/03 20:27:38  paladine
- formatting

Revision 1.18  2004/06/05 18:10:30  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.17  2004/05/07 17:52:01  qboosh
- updated to 1.02 for new cfitsio

Revision 1.16  2004/05/06 18:43:02  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/17 05:46:23  ankry
- license fixes

Revision 1.14  2003/11/01 15:11:39  qboosh
- added tests and real descriptions; release 3

Revision 1.13  2003/09/09 10:24:26  ankry
- spaces -> tab

Revision 1.12  2003/08/18 08:08:27  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/05/28 13:00:21  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.8  2003/03/01 17:42:08  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/28 10:08:08  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.6  2003/02/25 00:35:49  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:26:05  ankry
- massive attack: change CPAN URLs

Revision 1.4  2003/02/05 16:17:05  ankry
- autoupdated to 1.01

Revision 1.3  2002/09/04 11:18:39  radek
- it's not noarch; release++

Revision 1.2  2002/08/01 12:24:28  ankry
- move */Astro dirs to perl, adapterized
- release 2

Revision 1.1  2002/07/25 00:54:40  ankry
- new spec
